/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*             UNIDAD DE EVALUACIN DEL SISTEMA EDUCATIVO NACIONAL
/*             DIRECCIN GENERAL DE MEDICIN Y TRATAMIENTO DE DATOS
/*
/*                      DIRECCIN DE TRATAMIENTO DE DATOS
/*
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                     SEXTO GRADO DE PRIMARIA (Excale 06)
/*
/*                        **** DIRECTORES CONTEXTO ****
/*
/*                     Ciclo escolar evaluado: 2012 - 2013
/*_____________________________________________________________________________
/*
/*
/*       PROGRAMA PARA CONSTRUIR LA BASE DE DATOS DE DIRECTORES DE CONTEXTO
/*                                EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte al archivo Excale06_2013_Dir_Cuest.txt, el cual est en
/*  formato ASCII, en una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale06_2013_Dir_Cuest.txt
/*         as como el archivo Excale06_2013_Dir_Cuest.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale06_2013_Dir_Cuest.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale06_2013_Dir_Cuest.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 32025
/*      Domicilio: Av. Barranca del Muerto no. 341, 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 12 DE DICIEMBRE DEL 2014
/*
/*  ****************************************************************************/





LIBNAME  INEE  "C:\***\";
FILENAME dir   "C:\***\Excale06_2013_Dir_Cuest.TXT";

PROC FORMAT;
     VALUE id_entF     1         = "Aguascalientes"
                       2         = "Baja California"
                       3         = "Baja California Sur"
                       4         = "Campeche"
                       5         = "Coahuila"
                       6         = "Colima"
                       7         = "Chiapas"
                       8         = "Chihuahua"
                       9         = "Distrito Federal"
                       10        = "Durango"
                       11        = "Guanajuato"
                       12        = "Guerrero"
                       13        = "Hidalgo"
                       14        = "Jalisco"
                       15        = "Mxico"
                       16        = "Michoacn"
                       17        = "Morelos"
                       18        = "Nayarit"
                       19        = "Nuevo Len"
                       20        = "Oaxaca"
                       21        = "Puebla"
                       22        = "Quertaro"
                       23        = "Quintana Roo"
                       24        = "San Luis Potos"
                       25        = "Sinaloa"
                       26        = "Sonora"
                       27        = "Tabasco"
                       28        = "Tamaulipas"
                       29        = "Tlaxcala"
                       30        = "Veracruz"
                       31        = "Yucatn"
                       32        = "Zacatecas";
     VALUE id_modF     1         = "Urbana Pblica"
                       2         = "Rural Pblica"
                       3         = "Educacin Indgena"
                       4         = "Curso Comunitario"
                       5         = "Privada"
                       6         = "General"
                       7         = "Tcnica"
                       8         = "Telesecundaria"
                       9         = "Privada";
     VALUE $modF       "UP"      = "Urbano Pblico"
                       "RP"      = "Rural Pblico"
                       "EI"      = "Educacin Indgena"
                       "CC"      = "Cursos Comunitarios"
                       "UPV"     = "Privados"
                       "GRAL"    = "General"
                       "TEC"     = "Tcnica"
                       "TV"      = "Telesecundaria"
                       "PRIV"    = "Privada";
     VALUE $entestF    "999"     ="Respuesta omitida";
     VALUE DP001F      1         = "Hombre"
                       2         = "Mujer"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE DP002F      1         = "40 o menos"
                       2         = "Entre 41 y 49"
                       3         = "Entre 50 y 59"
                       4         = "60 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE DP003F      1         = "Bachillerato o carrera tcnica"
                       2         = "Normal bsica"
                       3         = "Normal superior o Licenciatura en educacin"
                       4         = "Otra licenciatura"
                       5         = "Posgrado"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE DP004F      1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE DP005F      1         = "2 o menos"
                       2         = "Entre 3 y 10"
                       3         = "Entre 11 y 15"
                       4         = "16 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE DP06_09F    1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE DP010F      1         = "Menos de 4 horas y media"
                       2         = "Entre 4 y media y 5 horas"
                       3         = "Ms de 5 horas"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE $DP11_XF     "9997"    = "Respuesta ilegible"
                       "9999"    = "Respuesta omitida";
     VALUE DP012F      97        = "Respuesta ilegible"
                       99        = "Respuesta omitida";
     VALUE DP013F      997       = "Respuesta ilegible"
                       999       = "Respuesta omitida";
     VALUE DP014F      1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE DP015F      0         = "Ninguno"
                       1         = "Slo un grupo"
                       2         = "Algunos (menos de la mitad)"
                       3         = "La mayora (ms de la mitad)"
                       4         = "Todos"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
RUN;



 DATA INEE.Excale06_2013_Dir_Cuest;
   LENGTH
       NACIONAL           3
       ESCUELA            4
       ID_ENT             3
       NOM_ENT            $19
       ID_MOD             3
       MOD                $4
       ESTRATO            $7
       ENTEST             $6
       ID_INSTR           $12
       W_DIR              8
       DP001              3
       DP002              3
       DP003              3
       DP004              3
       DP005              3
       DP006              3
       DP007              3
       DP008              3
       DP009              3
       DP010              3
       DP011_1            $4
       DP011_2            $4
       DP012              3
       DP013              3
       DP014              3
       DP015              3
       DP016_1            $6
       DP016_2            $6
       DP016_3            $6
       DP016_4            $6
       WVARSTRR           3
       W_FSTR1            8
       W_FSTR2            8
       W_FSTR3            8
       W_FSTR4            8
       W_FSTR5            8
       W_FSTR6            8
       W_FSTR7            8
       W_FSTR8            8
       W_FSTR9            8
       W_FSTR10           8
       W_FSTR11           8
       W_FSTR12           8
       W_FSTR13           8
       W_FSTR14           8
       W_FSTR15           8
       W_FSTR16           8
       W_FSTR17           8
       W_FSTR18           8
       W_FSTR19           8
       W_FSTR20           8
       W_FSTR21           8
       W_FSTR22           8
       W_FSTR23           8
       W_FSTR24           8
       W_FSTR25           8
       W_FSTR26           8
       W_FSTR27           8
       W_FSTR28           8
       W_FSTR29           8
       W_FSTR30           8
       W_FSTR31           8
       W_FSTR32           8
       W_FSTR33           8
       W_FSTR34           8
       W_FSTR35           8
       W_FSTR36           8
       W_FSTR37           8
       W_FSTR38           8
       W_FSTR39           8
       W_FSTR40           8
       W_FSTR41           8
       W_FSTR42           8
       W_FSTR43           8
       W_FSTR44           8
       W_FSTR45           8
       W_FSTR46           8
       W_FSTR47           8
       W_FSTR48           8
       W_FSTR49           8
       W_FSTR50           8
       W_FSTR51           8
       W_FSTR52           8
       W_FSTR53           8
       W_FSTR54           8
       W_FSTR55           8
       W_FSTR56           8
       W_FSTR57           8
       W_FSTR58           8
       W_FSTR59           8
       W_FSTR60           8
       W_FSTR61           8
       W_FSTR62           8
       W_FSTR63           8
       W_FSTR64           8
       W_FSTR65           8
       W_FSTR66           8
       W_FSTR67           8
       W_FSTR68           8
       W_FSTR69           8
       W_FSTR70           8
       W_FSTR71           8
       W_FSTR72           8
       W_FSTR73           8
       W_FSTR74           8
       W_FSTR75           8
       W_FSTR76           8
       W_FSTR77           8
       W_FSTR78           8
       W_FSTR79           8
       W_FSTR80           8
       W_FSTR81           8
       W_FSTR82           8
       W_FSTR83           8
       W_FSTR84           8
       W_FSTR85           8
       W_FSTR86           8
       W_FSTR87           8
       W_FSTR88           8
       W_FSTR89           8
       W_FSTR90           8
       W_FSTR91           8
       W_FSTR92           8
       W_FSTR93           8
       W_FSTR94           8
       W_FSTR95           8
       W_FSTR96           8
       W_FSTR97           8
       W_FSTR98           8
       W_FSTR99           8
       W_FSTR100          8
 ;

 INFILE dir MISSOVER LINESIZE = 1218;
   INPUT
       NACIONAL          1 - 1
       ESCUELA           2 - 5
       ID_ENT            6 - 7
       NOM_ENT           8 - 26
       ID_MOD           27 - 27
       MOD              28 - 30
       ESTRATO          31 - 37
       ENTEST           38 - 43
       ID_INSTR         44 - 55
       W_DIR            56 - 66
       DP001            67 - 67
       DP002            68 - 68
       DP003            69 - 69
       DP004            70 - 70
       DP005            71 - 71
       DP006            72 - 72
       DP007            73 - 73
       DP008            74 - 74
       DP009            75 - 75
       DP010            76 - 76
       DP011_1          77 - 80
       DP011_2          81 - 84
       DP012            85 - 86
       DP013            87 - 89
       DP014            90 - 90
       DP015            91 - 91
       DP016_1          92 - 97
       DP016_2          98 - 103
       DP016_3         104 - 109
       DP016_4         110 - 115
       WVARSTRR        116 - 118
       W_FSTR1         119 - 129
       W_FSTR2         130 - 140
       W_FSTR3         141 - 151
       W_FSTR4         152 - 162
       W_FSTR5         163 - 173
       W_FSTR6         174 - 184
       W_FSTR7         185 - 195
       W_FSTR8         196 - 206
       W_FSTR9         207 - 217
       W_FSTR10        218 - 228
       W_FSTR11        229 - 239
       W_FSTR12        240 - 250
       W_FSTR13        251 - 261
       W_FSTR14        262 - 272
       W_FSTR15        273 - 283
       W_FSTR16        284 - 294
       W_FSTR17        295 - 305
       W_FSTR18        306 - 316
       W_FSTR19        317 - 327
       W_FSTR20        328 - 338
       W_FSTR21        339 - 349
       W_FSTR22        350 - 360
       W_FSTR23        361 - 371
       W_FSTR24        372 - 382
       W_FSTR25        383 - 393
       W_FSTR26        394 - 404
       W_FSTR27        405 - 415
       W_FSTR28        416 - 426
       W_FSTR29        427 - 437
       W_FSTR30        438 - 448
       W_FSTR31        449 - 459
       W_FSTR32        460 - 470
       W_FSTR33        471 - 481
       W_FSTR34        482 - 492
       W_FSTR35        493 - 503
       W_FSTR36        504 - 514
       W_FSTR37        515 - 525
       W_FSTR38        526 - 536
       W_FSTR39        537 - 547
       W_FSTR40        548 - 558
       W_FSTR41        559 - 569
       W_FSTR42        570 - 580
       W_FSTR43        581 - 591
       W_FSTR44        592 - 602
       W_FSTR45        603 - 613
       W_FSTR46        614 - 624
       W_FSTR47        625 - 635
       W_FSTR48        636 - 646
       W_FSTR49        647 - 657
       W_FSTR50        658 - 668
       W_FSTR51        669 - 679
       W_FSTR52        680 - 690
       W_FSTR53        691 - 701
       W_FSTR54        702 - 712
       W_FSTR55        713 - 723
       W_FSTR56        724 - 734
       W_FSTR57        735 - 745
       W_FSTR58        746 - 756
       W_FSTR59        757 - 767
       W_FSTR60        768 - 778
       W_FSTR61        779 - 789
       W_FSTR62        790 - 800
       W_FSTR63        801 - 811
       W_FSTR64        812 - 822
       W_FSTR65        823 - 833
       W_FSTR66        834 - 844
       W_FSTR67        845 - 855
       W_FSTR68        856 - 866
       W_FSTR69        867 - 877
       W_FSTR70        878 - 888
       W_FSTR71        889 - 899
       W_FSTR72        900 - 910
       W_FSTR73        911 - 921
       W_FSTR74        922 - 932
       W_FSTR75        933 - 943
       W_FSTR76        944 - 954
       W_FSTR77        955 - 965
       W_FSTR78        966 - 976
       W_FSTR79        977 - 987
       W_FSTR80        988 - 998
       W_FSTR81        999 - 1009
       W_FSTR82       1010 - 1020
       W_FSTR83       1021 - 1031
       W_FSTR84       1032 - 1042
       W_FSTR85       1043 - 1053
       W_FSTR86       1054 - 1064
       W_FSTR87       1065 - 1075
       W_FSTR88       1076 - 1086
       W_FSTR89       1087 - 1097
       W_FSTR90       1098 - 1108
       W_FSTR91       1109 - 1119
       W_FSTR92       1120 - 1130
       W_FSTR93       1131 - 1141
       W_FSTR94       1142 - 1152
       W_FSTR95       1153 - 1163
       W_FSTR96       1164 - 1174
       W_FSTR97       1175 - 1185
       W_FSTR98       1186 - 1196
       W_FSTR99       1197 - 1207
       W_FSTR100      1208 - 1218
 ;




 LABEL
      NACIONAL     = "Variable auxiliar para obtener promedios nacionales"
      ESCUELA      = "Identificador de la escuela"
      ID_ENT       = "Entidad federativa (identificador numrico)"
      NOM_ENT      = "Entidad federativa"
      ID_MOD       = "Estrato escolar o Modalidad educativa (identificador numrico)"
      MOD          = "Estrato escolar o Modalidad educativa"
      ESTRATO      = "Estrato de muestreo. Se construy con ENTIDAD, MODALIDAD Y MARGINALIDAD. No es comn a todas las tablas pues en algunos casos se colapsaron registros"
      ENTEST       = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad-Densidad de poblacin)"
      ID_INSTR     = "Identificador del cuestionario"
      W_DIR        = "Peso muestral o ponderador del director"
      DP001        = "Es usted hombre o mujer?"
      DP002        = "Cuntos aos cumplidos tiene?"
      DP003        = "Cul es su nivel mximo de estudios?"
      DP004        = "Adems de ser director(a) tiene a su cargo algn grupo en esta escuela?"
      DP005        = "Contando este ciclo escolar cuntos aos tiene trabajando como profesor de primaria?"
      DP006        = "Est usted incorporado a Carrera Magisterial en esta o en otra escuela?"
      DP007        = "Est usted incorporado a algn programa de estmulos diferente a Carrera Magisterial (programas estatales, programas del plantel, etc.)?"
      DP008        = "Su plantel participa en el programa de Escuelas de Tiempo Completo?"
      DP009        = "Durante este ciclo escolar tuvo su plantilla docente completa?"
      DP010        = "Cuntas horas dura la jornada escolar en su plantel en un da normal?"
      DP011_1      = "Cul es el horario de la jornada escolar en su plantel en un da normal? Indique la hora de entrada"
      DP011_2      = "Cul es el horario de la jornada escolar en su plantel en un da normal? Indique la hora de salida"
      DP012        = "Cuntos docentes titulares de sexto grado hay en su escuela actualmente? Por favor anote la cifra exacta"
      DP013        = "Cuntos alumnos de sexto grado hay en su escuela actualmente? Por favor anote la cifra exacta"
      DP014        = "Existen en su plantel maestros(as) que impartan dos o ms grados de forma simultnea en un mismo saln (grupos multigrado)?"
      DP015        = "De la totalidad de grupos de su escuela, cuntos son multigrado?"
      DP016_1      = "Marque en la siguiente tabla cules son los grados que se imparten en cada uno de sus grupos multigrado: Grupo multigrado 1"
      DP016_2      = "Marque en la siguiente tabla cules son los grados que se imparten en cada uno de sus grupos multigrado: Grupo multigrado 2"
      DP016_3      = "Marque en la siguiente tabla cules son los grados que se imparten en cada uno de sus grupos multigrado: Grupo multigrado 3"
      DP016_4      = "Marque en la siguiente tabla cules son los grados que se imparten en cada uno de sus grupos multigrado: Grupo multigrado 4"
      WVARSTRR     = "Identificador del pseudoestrato (1 a 100) definido para el clculo de errores estndar con el mtodo de remuestreo BRR"
      W_FSTR1      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR2      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR3      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR4      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR5      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR6      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR7      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR8      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR9      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR10     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR11     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR12     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR13     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR14     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR15     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR16     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR17     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR18     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR19     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR20     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR21     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR22     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR23     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR24     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR25     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR26     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR27     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR28     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR29     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR30     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR31     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR32     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR33     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR34     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR35     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR36     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR37     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR38     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR39     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR40     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR41     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR42     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR43     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR44     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR45     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR46     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR47     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR48     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR49     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR50     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR51     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR52     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR53     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR54     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR55     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR56     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR57     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR58     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR59     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR60     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR61     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR62     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR63     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR64     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR65     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR66     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR67     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR68     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR69     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR70     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR71     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR72     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR73     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR74     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR75     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR76     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR77     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR78     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR79     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR80     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR81     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR82     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR83     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR84     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR85     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR86     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR87     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR88     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR89     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR90     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR91     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR92     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR93     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR94     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR95     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR96     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR97     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR98     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR99     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR100    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
 ;

 FORMAT
        NACIONAL       1.
        ESCUELA        4.
        ID_ENT         id_entF.
        NOM_ENT        $char19.
        ID_MOD         id_modF.
        MOD            $modF.
        ESTRATO        $char7.
        ENTEST         $entestF.
        ID_INSTR       $char12.
        DP001          DP001F.
        DP002          DP002F.
        DP003          DP003F.
        DP004          DP004F.
        DP005          DP005F.
        DP006          DP06_09F.
        DP007          DP06_09F.
        DP008          DP06_09F.
        DP009          DP06_09F.
        DP010          DP010F.
        DP011_1        $DP11_XF.
        DP011_2        $DP11_XF.
        DP012          DP012F.
        DP013          DP013F.
        DP014          DP014F.
        DP015          DP015F.
 ;


/**************************************************************************
/*  Definicin de valores perdidos
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/

 IF  entest = "999" THEN  entest = .S;
 IF  DP011_1 = "9997" THEN  DP011_1 = .S;
 IF  DP011_1 = "9999" THEN  DP011_1 = .S;
 IF  DP011_2 = "9997" THEN  DP011_2 = .S;
 IF  DP011_2 = "9999" THEN  DP011_2 = .S;
 IF  DP012 = 97 THEN  DP012 = .S;
 IF  DP012 = 99 THEN  DP012 = .S;
 IF  DP013 = 997 THEN  DP013 = .S;
 IF  DP013 = 999 THEN  DP013 = .S;



 ARRAY perdidos1(12)
                   dp001 dp002 dp003 dp004 dp005 dp006
                   dp007 dp008 dp009 dp010 dp014 dp015;
   DO  i=1 TO 12;
          IF perdidos1{i} = 8   THEN  perdidos1{i} = .M;
          IF perdidos1{i} = 9   THEN  perdidos1{i} = .S;
   END;

   drop i;
RUN;

